For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all CentralLogging

This endpoint enables retrieving all CentralLogging using pagination and optional filters.

get
/central
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Responses
200

Returned all requested CentralLogging successfully.

application/json
idstring · uuidRequired

ID of the list of CentralLogging resources.

Example: d9a741e7-1132-5b47-94d3-aabefa619c91
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of CentralLogging resources.

Example: /central
get/central
GET /central HTTP/1.1
Host: logging.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "d9a741e7-1132-5b47-94d3-aabefa619c91",
  "type": "collection",
  "href": "/central",
  "items": [
    {
      "id": "40740a56-ee77-5bff-8abc-2dda26b3144f",
      "type": "centrallogging",
      "href": "/central/40740a56-ee77-5bff-8abc-2dda26b3144f",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
        "products": [
          "api-gateway",
          "alb"
        ]
      },
      "properties": {
        "enabled": false
      }
    }
  ]
}

Last updated

Was this helpful?